#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-first-in-first-out-heaps.html>

module Bindings.Gts.BasicMacrosFunctionsAndDataStructures.FirstInFirstOutHeaps where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_fifo_new , IO (Ptr <GtsFifo>) 
#ccall gts_fifo_push , Ptr <GtsFifo> -> <gpointer> -> IO ()
#ccall gts_fifo_pop , Ptr <GtsFifo> -> IO <gpointer>
#ccall gts_fifo_top , Ptr <GtsFifo> -> IO <gpointer>
#ccall gts_fifo_size , Ptr <GtsFifo> -> IO <guint>
#ccall gts_fifo_foreach , Ptr <GtsFifo> -> <GtsFunc> -> <gpointer> -> IO ()
#ccall gts_fifo_is_empty , Ptr <GtsFifo> -> IO <gboolean>
#ccall gts_fifo_reverse , Ptr <GtsFifo> -> IO ()
#ccall gts_fifo_write , Ptr <GtsFifo> -> Ptr CFile -> IO ()
#ccall gts_fifo_destroy , Ptr <GtsFifo> -> IO ()
