#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-graph-partitioning.html>

module Bindings.Gts.GraphAndOperationsOnGraphs.GraphPartitioning where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_graph_bisection_new , Ptr <GtsWGraph> -> <guint> -> <guint> -> <guint> -> <gfloat> -> IO (Ptr <GtsGraphBisection>) 
#ccall gts_graph_ggg_bisection , Ptr <GtsGraph> -> <guint> -> IO (Ptr <GtsGraphBisection>) 
#ccall gts_graph_bfgg_bisection , Ptr <GtsGraph> -> <guint> -> IO (Ptr <GtsGraphBisection>) 
#ccall gts_graph_bisection_check , Ptr <GtsGraphBisection> -> IO <gboolean>
#ccall gts_graph_bisection_kl_refine , Ptr <GtsGraphBisection> -> <guint> -> IO <gdouble>
#ccall gts_graph_bisection_bkl_refine , Ptr <GtsGraphBisection> -> <guint> -> <gfloat> -> IO <gdouble>
#ccall gts_graph_recursive_bisection , Ptr <GtsWGraph> -> <guint> -> <guint> -> <guint> -> <guint> -> <gfloat> -> IO (Ptr <GSList>) 
#ccall gts_graph_bisection_destroy , Ptr <GtsGraphBisection> -> <gboolean> -> IO ()

#ccall gts_graph_bubble_partition , Ptr <GtsGraph> -> <guint> -> <guint> -> <GtsFunc> -> <gpointer> -> IO (Ptr <GSList>) 
#ccall gts_graph_partition_edges_cut , Ptr <GSList> -> IO <guint>
#ccall gts_graph_partition_balance , Ptr <GSList> -> IO <gfloat>
#ccall gts_graph_partition_clone , Ptr <GSList> -> IO (Ptr <GSList>) 
#ccall gts_graph_partition_print_stats , Ptr <GSList> -> Ptr CFile -> IO ()
#ccall gts_graph_partition_edges_cut_weight , Ptr <GSList> -> IO <gfloat>
#ccall gts_graph_partition_destroy , Ptr <GSList> -> IO ()
