#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-progressive-graph.html>

module Bindings.Gts.GraphAndOperationsOnGraphs.ProgressiveGraph where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_GNODE_SPLIT_CLASS , Ptr a -> Ptr <GtsGNodeSplitClass>
#cinline GTS_GNODE_SPLIT , Ptr a -> Ptr <GtsGNodeSplit>
#cinline GTS_IS_GNODE_SPLIT , Ptr a -> Ptr <gboolean> 

#cinline GTS_GNODE_SPLIT_N1 , Ptr <GtsGNodeSplit> -> <gpointer>
#cinline GTS_GNODE_SPLIT_N2 , Ptr <GtsGNodeSplit> -> <gpointer>

#ccall gts_gnode_split_class , IO (Ptr <GtsGNodeSplitClass>) 
#ccall gts_gnode_split_new , Ptr <GtsGNodeSplitClass> -> Ptr <GtsGNode> -> Ptr <GtsObject> -> Ptr <GtsObject> -> IO (Ptr <GtsGNodeSplit>) 
#ccall gts_gnode_split_collapse , Ptr <GtsGNodeSplit> -> Ptr <GtsGraph> -> Ptr <GtsWGEdgeClass> -> IO ()
#ccall gts_gnode_split_expand , Ptr <GtsGNodeSplit> -> Ptr <GtsGraph> -> IO ()

#cinline GTS_PGRAPH_CLASS , Ptr a -> Ptr <GtsPGraphClass>
#cinline GTS_PGRAPH , Ptr a -> Ptr <GtsPGraph>
#cinline GTS_IS_PGRAPH , Ptr a -> Ptr <gboolean> 

#ccall gts_pgraph_class , IO (Ptr <GtsPGraphClass>) 
#ccall gts_pgraph_new , Ptr <GtsPGraphClass> -> Ptr <GtsGraph> -> Ptr <GtsGNodeSplitClass> -> Ptr <GtsWGNodeClass> -> Ptr <GtsWGEdgeClass> -> <guint> -> IO (Ptr <GtsPGraph>) 
#ccall gts_pgraph_add_node , Ptr <GtsPGraph> -> IO (Ptr <GtsGNodeSplit>) 
#ccall gts_pgraph_remove_node , Ptr <GtsPGraph> -> IO (Ptr <GtsGNodeSplit>) 
#ccall gts_pgraph_down , Ptr <GtsPGraph> -> <GtsFunc> -> <gpointer> -> IO <gboolean>
#ccall gts_pgraph_set_node_number , Ptr <GtsPGraph> -> <guint> -> IO ()
#ccall gts_pgraph_get_node_number , Ptr <GtsPGraph> -> IO <guint>
#ccall gts_pgraph_max_node_number , Ptr <GtsPGraph> -> IO <guint>
#ccall gts_pgraph_min_node_number , Ptr <GtsPGraph> -> IO <guint>
