#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-progressive-surfaces.html>

module Bindings.Gts.ProgressiveAndHierarchicalSurfaces.ProgressiveSurfaces where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_PSURFACE_CLASS , Ptr a -> Ptr <GtsPSurfaceClass>
#cinline GTS_PSURFACE , Ptr a -> Ptr <GtsPSurface>
#cinline GTS_IS_PSURFACE , Ptr a -> Ptr <gboolean> 

#cinline GTS_PSURFACE_IS_CLOSED , Ptr <GtsPSurface> -> IO (Ptr <gboolean>)

#ccall gts_psurface_class , IO (Ptr <GtsPSurfaceClass>) 
#ccall gts_psurface_new , Ptr <GtsPSurfaceClass> -> Ptr <GtsSurface> -> Ptr <GtsSplitClass> -> <GtsKeyFunc> -> <gpointer> -> <GtsCoarsenFunc> -> <gpointer> -> <GtsStopFunc> -> <gpointer> -> <gdouble> -> IO (Ptr <GtsPSurface>) 
#ccall gts_psurface_add_vertex , Ptr <GtsPSurface> -> IO (Ptr <GtsSplit>) 
#ccall gts_psurface_remove_vertex , Ptr <GtsPSurface> -> IO (Ptr <GtsSplit>) 
#ccall gts_psurface_set_vertex_number , Ptr <GtsPSurface> -> <guint> -> IO ()
#ccall gts_psurface_get_vertex_number , Ptr <GtsPSurface> -> IO <guint>
#ccall gts_psurface_min_vertex_number , Ptr <GtsPSurface> -> IO <guint>
#ccall gts_psurface_max_vertex_number , Ptr <GtsPSurface> -> IO <guint>
#ccall gts_psurface_foreach_vertex , Ptr <GtsPSurface> -> <GtsFunc> -> <gpointer> -> IO ()
#ccall gts_psurface_open , Ptr <GtsPSurfaceClass> -> Ptr <GtsSurface> -> Ptr <GtsSplitClass> -> Ptr <GtsFile> -> IO (Ptr <GtsPSurface>) 
#ccall gts_psurface_read_vertex , Ptr <GtsPSurface> -> Ptr <GtsFile> -> IO (Ptr <GtsSplit>) 
#ccall gts_psurface_close , Ptr <GtsPSurface> -> IO ()
#ccall gts_psurface_write , Ptr <GtsPSurface> -> Ptr CFile -> IO ()
