#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-isosurfaces-from-3d-functions.html>

module Bindings.Gts.SurfaceOperations.IsosurfacesFrom3dFunctions where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_grid_plane_new , <guint> -> <guint> -> IO (Ptr <GtsGridPlane>) 
#ccall gts_grid_plane_destroy , Ptr <GtsGridPlane> -> IO ()

#ccall gts_iso_slice_new , <guint> -> <guint> -> IO (Ptr <GtsIsoSlice>) 
#ccall gts_iso_slice_fill , Ptr <GtsIsoSlice> -> Ptr <GtsGridPlane> -> Ptr <GtsGridPlane> -> Ptr (Ptr <gdouble>) -> Ptr (Ptr <gdouble>) -> <gdouble> -> Ptr <GtsVertexClass> -> IO ()
#ccall gts_iso_slice_destroy , Ptr <GtsIsoSlice> -> IO ()
#ccall gts_isosurface_slice , Ptr <GtsIsoSlice> -> Ptr <GtsIsoSlice> -> Ptr <GtsSurface> -> IO ()

